## ffc 2016.2.0

=== debian/changelog ===
ffc (2016.2.0-4) unstable; urgency=medium

  [ Johannes Ring ]
  * d/patches/ufc-include-path.patch: Add patch to use /usr/include
    as path to ufc header files.

  [ Drew Parsons ]
  * Enable python3-only installations by using alternatives for
    /usr/include/ufc.h (provided by either python-ffc or python3-ffc).
    ufc.h is used by libdolfin-dev.

 -- Johannes Ring <johannr@simula.no>  Fri, 30 Jun 2017 12:05:38 +0200

ffc (2016.2.0-3) unstable; urgency=medium

  * d/patches/fix-float-division.patch: Add patch to fix float division
    of indices in tensorreordering.

 -- Johannes Ring <johannr@simula.no>  Fri, 02 Jun 2017 11:00:02 +0200

ffc (2016.2.0-2) unstable; urgency=medium

  [ Johannes Ring ]
  * Support Python 3: new package python3-ffc.

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jan 2017 22:02:21 +0800

ffc (2016.2.0-1) unstable; urgency=medium

  [ Johannes Ring ]
  * New upstream release.
  * d/watch: Check pgp signature.
  * d/control:
    - Remove Christophe Prud'homme from Uploaders (closes: #835006).
    - Add python-setuptools and dh-python to Build-Depends.
    - Remove python-numpy from Build-Depends.
    - Bump minimum required version for python-fiat, python-instant and
      python-ufl to 2016.2.0.
    - Add python-dijitso to Depends for binary package python-ffc.
    - Change to 'Architecture: all' (no Python extensions anymore).
  * Remove patch (fixed in new upstream release).
  * d/rules:
    - Cleanup (CMake and pkgconfig files are no longer shipped
      with ffc).
  * d/python-ffc.links: Create link to ffc man page for ffc-2 script.
  * d/source.lintian-overrides:
    - Remove old lintian override 'ffc source: source-is-missing'.
    - Add lintian override 'ffc source: outdated-autotools-helper-file'
      for some test files that are not used in the Debian packaging.

  [ Drew Parsons ]
  * constrain versioned dependencies to minor version 
    e.g. python-ufl (>= 2016.2.0), python-ufl (<< 2016.3~)

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Dec 2016 13:41:41 +0800

=== debian/control ===
Source: ffc
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.7),
 python3-all (>= 3.4),
 python-setuptools,
 python3-setuptools
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: http://fenicsproject.org
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/ffc.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/ffc.git

Package: python-ffc
Architecture: all
Depends:
 python-fiat (>= ${source:Upstream-Version}), python-fiat (<< ${source:Next-Upstream-Version}),
 python-instant (>= ${source:Upstream-Version}), python-instant (<< ${source:Next-Upstream-Version}),
 python-ufl (>= ${source:Upstream-Version}), python-ufl (<< ${source:Next-Upstream-Version}),
 python-dijitso (>= ${source:Upstream-Version}), python-dijitso (<< ${source:Next-Upstream-Version}),
 python-numpy,
 python-six,
 ${python:Depends},
 ${misc:Depends}
Provides: ufc, python-ufc
Conflicts: ufc, python-ufc
Replaces: ufc, python-ufc
Description: compiler for finite element variational forms (Python 2)
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and
 efficient evaluation of general multilinear forms (variational
 formulations) for FEniCS. FFC functions as the form evaluation
 system for DOLFIN but can also be used to compile forms for other
 systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C
 or C++) for the evaluation of a multilinear form given in
 mathematical notation. This new approach to form evaluation makes it
 possible to combine generality with efficiency; the form can be given
 in mathematical notation and the generated code is as efficient as
 hand-optimized code.
 .
 This package installs the library for Python 2.

Package: python3-ffc
Architecture: all
Depends:
 python3-fiat (>= ${source:Upstream-Version}), python3-fiat (<< ${source:Next-Upstream-Version}),
 python3-instant (>= ${source:Upstream-Version}), python3-instant (<< ${source:Next-Upstream-Version}),
 python3-ufl (>= ${source:Upstream-Version}), python3-ufl (<< ${source:Next-Upstream-Version}),
 python3-dijitso (>= ${source:Upstream-Version}), python3-dijitso (<< ${source:Next-Upstream-Version}),
 python3-numpy,
 python3-six,
 ${python3:Depends},
 ${misc:Depends}
Description: compiler for finite element variational forms (Python 3)
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and
 efficient evaluation of general multilinear forms (variational
 formulations) for FEniCS. FFC functions as the form evaluation
 system for DOLFIN but can also be used to compile forms for other
 systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C
 or C++) for the evaluation of a multilinear form given in
 mathematical notation. This new approach to form evaluation makes it
 possible to combine generality with efficiency; the form can be given
 in mathematical notation and the generated code is as efficient as
 hand-optimized code.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ffc
export PYBUILD_DISABLE=test
#export PYBUILD_TEST_ARGS={dir}/test
#export PYBUILD_TEST_PYTEST=1

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/\+dfsg.*$$//p')

FENICS_RELEASE_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)
FENICS_MAJOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
FENICS_MINOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
FENICS_VERSION=$(FENICS_MAJOR_VERSION).$(FENICS_MINOR_VERSION)
FENICS_NEXT_VERSION=$(FENICS_MAJOR_VERSION).$(shell echo $$(( $(FENICS_MINOR_VERSION) + 1 )) )

USCAN_DESTDIR := $(CURDIR)

PYTHON_BASE_SCRIPT="import sys; base=list(filter( lambda p: p.startswith('/usr/lib/python') and p.endswith('/dist-packages'), sys.path ))[0]; sys.stdout.write(base)"
PYTHON_MODULE_BASE := $(shell python -c $(PYTHON_BASE_SCRIPT))
PYTHON3_MODULE_BASE := $(shell python3 -c $(PYTHON_BASE_SCRIPT))
UFC_SUBDIR=ffc/backends/ufc
PYTHON_UFC_DIR=$(PYTHON_MODULE_BASE)/$(UFC_SUBDIR)
PYTHON3_UFC_DIR=$(PYTHON3_MODULE_BASE)/$(UFC_SUBDIR)


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_compress:
	dh_compress -X.py -X.ufl

override_dh_clean:
	dh_clean ffc/git_commit_hash.py
	rm -rf *.egg-info

override_dh_auto_install:
	dh_auto_install
# Note: The ffc script is removed for not to conflict with the same script
#       in the python-ffc package
	rm debian/python3-ffc/usr/bin/ffc
	mv debian/python3-ffc/usr/share/man/man1/ffc.1.gz debian/python3-ffc/usr/share/man/man1/ffc-3.1.gz

override_dh_installdeb:
	dh_installdeb
	# handle alternatives for ufc.h
	for pkg in $$(dh_listpackages -i); do \
	  sed -i -e 's|__PYTHON_UFC_DIR__|$(PYTHON_UFC_DIR)|; s|__PYTHON3_UFC_DIR__|$(PYTHON3_UFC_DIR)|' debian/$$pkg/DEBIAN/*; \
	done

override_dh_gencontrol:
	dh_gencontrol -- -Vsource:Next-Upstream-Version=$(FENICS_NEXT_VERSION)~

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## ffc 2017.2.0.post0

=== doc/sphinx/requirements.txt ===
-e git+https://bitbucket.org/fenics-project/dijitso.git#egg=dijitso
-e git+https://bitbucket.org/fenics-project/fiat.git#egg=fiat
-e git+https://bitbucket.org/fenics-project/ufl.git#egg=ufl

=== debian/changelog ===
ffc (2017.2.0.post0-2) unstable; urgency=medium

  * Update VCS-git tag to https://salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Feb 2018 22:58:00 +0800

ffc (2017.2.0.post0-1exp1) experimental; urgency=medium

  * New upstream release.
    - this is the official 2017.2.0 release.
      The previous version was a mislabelled beta release.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11
  * Priority: optional not extra

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2018 00:23:32 +0800

ffc (2017.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - updated debian/upstream/signing-key.asc for signature
      from the FEniCS Project Steering Council (key BED06106DD22BAB3)
  * Standards-Version: 4.1.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Oct 2017 16:03:12 +0800

ffc (2017.1.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Sep 2017 14:38:56 +0800

ffc (2017.1.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches/fix-float-division.patch: Remove patch (no longer needed).

 -- Johannes Ring <johannr@simula.no>  Thu, 06 Jul 2017 13:32:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: ffc
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.7),
  python3-all (>= 3.4),
  python-setuptools,
  python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 Homepage: http://fenicsproject.org
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/ffc.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/ffc.git
+Vcs-Git: https://salsa.debian.org/science-team/fenics/ffc.git
+Vcs-Browser: https://salsa.debian.org/science-team/fenics/ffc
 
 Package: python-ffc
 Architecture: all
 Depends:
- python-fiat (>= ${source:Upstream-Version}), python-fiat (<< ${source:Next-Upstream-Version}),
- python-instant (>= ${source:Upstream-Version}), python-instant (<< ${source:Next-Upstream-Version}),
- python-ufl (>= ${source:Upstream-Version}), python-ufl (<< ${source:Next-Upstream-Version}),
- python-dijitso (>= ${source:Upstream-Version}), python-dijitso (<< ${source:Next-Upstream-Version}),
+ python-fiat (>= ${fenics:Upstream-Version}), python-fiat (<< ${fenics:Next-Upstream-Version}),
+ python-instant (>= ${fenics:Upstream-Version}), python-instant (<< ${fenics:Next-Upstream-Version}),
+ python-ufl (>= ${fenics:Upstream-Version}), python-ufl (<< ${fenics:Next-Upstream-Version}),
+ python-dijitso (>= ${fenics:Upstream-Version}), python-dijitso (<< ${fenics:Next-Upstream-Version}),
  python-numpy,
  python-six,
  ${python:Depends},
@@ -49,10 +49,10 @@
 Package: python3-ffc
 Architecture: all
 Depends:
- python3-fiat (>= ${source:Upstream-Version}), python3-fiat (<< ${source:Next-Upstream-Version}),
- python3-instant (>= ${source:Upstream-Version}), python3-instant (<< ${source:Next-Upstream-Version}),
- python3-ufl (>= ${source:Upstream-Version}), python3-ufl (<< ${source:Next-Upstream-Version}),
- python3-dijitso (>= ${source:Upstream-Version}), python3-dijitso (<< ${source:Next-Upstream-Version}),
+ python3-fiat (>= ${fenics:Upstream-Version}), python3-fiat (<< ${fenics:Next-Upstream-Version}),
+ python3-instant (>= ${fenics:Upstream-Version}), python3-instant (<< ${fenics:Next-Upstream-Version}),
+ python3-ufl (>= ${fenics:Upstream-Version}), python3-ufl (<< ${fenics:Next-Upstream-Version}),
+ python3-dijitso (>= ${fenics:Upstream-Version}), python3-dijitso (<< ${fenics:Next-Upstream-Version}),
  python3-numpy,
  python3-six,
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	done
 
 override_dh_gencontrol:
-	dh_gencontrol -- -Vsource:Next-Upstream-Version=$(FENICS_NEXT_VERSION)~
+	dh_gencontrol -- -Vfenics:Upstream-Version=$(FENICS_VERSION) -Vfenics:Next-Upstream-Version=$(FENICS_NEXT_VERSION)~
 
 .PHONY: get-orig-source
 get-orig-source:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/fenics-project/ffc/downloads/ffc-(.*)\.tar\.gz

## ffc 2018.1.0

=== debian/changelog ===
ffc (2018.1.0-5) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.
  * Trim trailing whitespace.

  [ Drew Parsons ]
  * add debian patch numpy_tuple_syntax_update_c52e64f.patch
    (upstream commit c52e64f662ed62f5af99ec71049d89257443667a)
    to avoid numpy deprecation warnings about tuple indexing
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Jan 2019 09:47:17 +0100

ffc (2018.1.0-4) unstable; urgency=medium

  * debian/test/control: Depends: @builddeps@ (to provide c++)

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jul 2018 12:30:36 +0800

ffc (2018.1.0-3) unstable; urgency=medium

  * fix dependencies and dirs for tests
    - don't run regression tests (reference data is not up-to-date)
    - don't run units tests under MPI (FFC does not use it directly)

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 23:05:56 +0800

ffc (2018.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * activate autopkgtest via debian/tests

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jul 2018 23:25:45 +0800

ffc (2018.1.0-1exp2) experimental; urgency=medium

  * python3-ffc Conflicts: python-ffc (<< 2018.1~),
    Replaces: python-ffc. Closes: #901670.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Jun 2018 18:01:12 +0200

ffc (2018.1.0-1exp1) experimental; urgency=medium

  [ Nico Schlömer ]
  * remove Python 2 package in preparation of 2018.1

  [ Drew Parsons ]
  * New upstream release.
    - python-ffc is now a dummy package that depends on python3-ffc.
    - no longer uses instant
  * add manpage symlink from ffc-3 to ffc
  * remove ancient-python-version-field X-Python3-Version: >= 3.4
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Jun 2018 01:02:12 +0200

=== debian/control ===
Source: ffc
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 12),
 dh-python,
 python3-all (>= 3.5),
 python3-setuptools
Standards-Version: 4.3.0
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/ffc.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/ffc

Package: python3-ffc
Architecture: all
Depends:
 python3-fiat (>= ${fenics:Upstream-Version}), python3-fiat (<< ${fenics:Next-Upstream-Version}),
 python3-ufl (>= ${fenics:Upstream-Version}), python3-ufl (<< ${fenics:Next-Upstream-Version}),
 python3-dijitso (>= ${fenics:Upstream-Version}), python3-dijitso (<< ${fenics:Next-Upstream-Version}),
 python3-numpy,
 ${python3:Depends},
 ${misc:Depends}
Conflicts: python-ffc (<< 2018.1~)
Replaces: python-ffc
Description: compiler for finite element variational forms (Python 3)
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and
 efficient evaluation of general multilinear forms (variational
 formulations) for FEniCS. FFC functions as the form evaluation
 system for DOLFIN but can also be used to compile forms for other
 systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C
 or C++) for the evaluation of a multilinear form given in
 mathematical notation. This new approach to form evaluation makes it
 possible to combine generality with efficiency; the form can be given
 in mathematical notation and the generated code is as efficient as
 hand-optimized code.
 .
 This package installs the library for Python 3.

Package: python-ffc
Architecture: all
Depends:
 python3-ffc (>= 2018.1), ${misc:Depends}
Description: compiler for finite element variational forms
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and
 efficient evaluation of general multilinear forms (variational
 formulations) for FEniCS. FFC functions as the form evaluation
 system for DOLFIN but can also be used to compile forms for other
 systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C
 or C++) for the evaluation of a multilinear form given in
 mathematical notation. This new approach to form evaluation makes it
 possible to combine generality with efficiency; the form can be given
 in mathematical notation and the generated code is as efficient as
 hand-optimized code.
 .
 This is a dummy package that depends on python3-ffc.
 (FFC is no longer available library for Python 2).

=== debian/rules ===
--- 
+++ 
@@ -21,15 +21,13 @@
 USCAN_DESTDIR := $(CURDIR)
 
 PYTHON_BASE_SCRIPT="import sys; base=list(filter( lambda p: p.startswith('/usr/lib/python') and p.endswith('/dist-packages'), sys.path ))[0]; sys.stdout.write(base)"
-PYTHON_MODULE_BASE := $(shell python -c $(PYTHON_BASE_SCRIPT))
 PYTHON3_MODULE_BASE := $(shell python3 -c $(PYTHON_BASE_SCRIPT))
 UFC_SUBDIR=ffc/backends/ufc
-PYTHON_UFC_DIR=$(PYTHON_MODULE_BASE)/$(UFC_SUBDIR)
 PYTHON3_UFC_DIR=$(PYTHON3_MODULE_BASE)/$(UFC_SUBDIR)
 
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_compress:
 	dh_compress -X.py -X.ufl
@@ -38,18 +36,11 @@
 	dh_clean ffc/git_commit_hash.py
 	rm -rf *.egg-info
 
-override_dh_auto_install:
-	dh_auto_install
-# Note: The ffc script is removed for not to conflict with the same script
-#       in the python-ffc package
-	rm debian/python3-ffc/usr/bin/ffc
-	mv debian/python3-ffc/usr/share/man/man1/ffc.1.gz debian/python3-ffc/usr/share/man/man1/ffc-3.1.gz
-
 override_dh_installdeb:
 	dh_installdeb
 	# handle alternatives for ufc.h
-	for pkg in $$(dh_listpackages -i); do \
-	  sed -i -e 's|__PYTHON_UFC_DIR__|$(PYTHON_UFC_DIR)|; s|__PYTHON3_UFC_DIR__|$(PYTHON3_UFC_DIR)|' debian/$$pkg/DEBIAN/*; \
+	for pkg in $$(dh_listpackages -i --no-package=python-ffc ); do \
+	  sed -i -e 's|__PYTHON3_UFC_DIR__|$(PYTHON3_UFC_DIR)|' debian/$$pkg/DEBIAN/*; \
 	done
 
 override_dh_gencontrol:

=== debian/tests/control ===
Tests: test-ffc
Depends: python3-ffc,
	 python3-pytest,
	 python3-pip,
	 python3-setuptools,
	 python3-pybind11,
	 python3-wheel,
	 python3-dev,
	 cmake,
	 libboost-math-dev,
	 @builddeps@

## ffc 2019.1.0~git20180828

=== debian/changelog ===
ffc (2019.1.0~git20180828-2) experimental; urgency=medium

  * Debian patch v2019.1.patch bumps version to 2019.1
    (needed in ufc.h when the dolfin version is likewise bumped)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 03:51:41 +0800

ffc (2019.1.0~git20180828-1) experimental; urgency=medium

  * New upstream test release.
    - applies numpy_tuple_syntax_update_c52e64f.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 02:32:47 +0800

## ffc 2019.1.0.post0

=== debian/changelog ===
ffc (2019.1.0.post0-4) unstable; urgency=medium

  * remove user components from LOCAL_PYTHONPATH in debian/tests

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Mar 2020 16:16:21 +0800

ffc (2019.1.0.post0-3) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * patch test_fixtures_ffc-868b9e1.diff applies upstream commit
    868b9e1 to fix call of test fixtures.
  * use "set -e" in debian/tests to ensure test errors are not ignored
  * build lib/ffc-factory for debian/tests using python3 setup.py
    directly rather than pip in order to deflect heinous allegations
    of external interference.  Closes: #954150.

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Mar 2020 14:58:14 +0800

ffc (2019.1.0.post0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-ffc

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2019 12:38:03 +0800

ffc (2019.1.0.post0-1) experimental; urgency=medium

  * New upstream release.
    - applies v2019.1.patch to fix version in ufc.h

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 20:55:59 +0800

ffc (2019.1.0-1) experimental; urgency=medium

  * New upstream release (official).
  * debhelper 12: Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 10:16:15 +0800

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-python,
  python3-all (>= 3.5),
  python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/ffc.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/ffc
@@ -39,24 +39,3 @@
  hand-optimized code.
  .
  This package installs the library for Python 3.
-
-Package: python-ffc
-Architecture: all
-Depends:
- python3-ffc (>= 2018.1), ${misc:Depends}
-Description: compiler for finite element variational forms
- The FEniCS Form Compiler FFC provides state-of-the-art automatic and
- efficient evaluation of general multilinear forms (variational
- formulations) for FEniCS. FFC functions as the form evaluation
- system for DOLFIN but can also be used to compile forms for other
- systems.
- .
- FFC works as a compiler for multilinear forms by generating code (C
- or C++) for the evaluation of a multilinear form given in
- mathematical notation. This new approach to form evaluation makes it
- possible to combine generality with efficiency; the form can be given
- in mathematical notation and the generated code is as efficient as
- hand-optimized code.
- .
- This is a dummy package that depends on python3-ffc.
- (FFC is no longer available library for Python 2).

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 override_dh_installdeb:
 	dh_installdeb
 	# handle alternatives for ufc.h
-	for pkg in $$(dh_listpackages -i --no-package=python-ffc ); do \
+	for pkg in $$(dh_listpackages -i ); do \
 	  sed -i -e 's|__PYTHON3_UFC_DIR__|$(PYTHON3_UFC_DIR)|' debian/$$pkg/DEBIAN/*; \
 	done

=== debian/tests/control ===
Tests: test-ffc
Depends: python3-ffc,
	 python3-pytest,
	 python3-setuptools,
	 python3-pybind11,
	 python3-dev,
	 cmake,
	 libboost-math-dev,
	 @builddeps@

## ffc 2019.2.0~git20200123.6b621eb

=== debian/changelog ===
ffc (2019.2.0~git20200123.6b621eb-3) unstable; urgency=medium

  * setuptools is deprecated for installation to non-system dirs,
    instead use pip to build and locally install ffc_factory for
    tests. Closes: #969534.
    - allow stderr in tests (pip sends log messages to stderr)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Sep 2020 00:21:29 +0800

ffc (2019.2.0~git20200123.6b621eb-2) unstable; urgency=medium

  * drop debian patch patches/test_fixtures_ffc-868b9e1.diff
    (applied upstream in 2019.2.0)
  * debian patch pybind11_API_module.patch updates pybind11 API to
    use PYBIND11_MODULE instead of PYBIND11_PLUGIN (pybind11 2.5.0)

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 10:18:12 +0800

ffc (2019.2.0~git20200123.6b621eb-1exp1) experimental; urgency=medium

  * New upstream snapshot (legacy ffc)
  * revert upstream source repo back to
    https://bitbucket.org/fenics-project/ffc
    (ffcx is now packaged separately)
    - restore Depends: python3-dijitso
    - drop Depends: python3-cffi

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Jan 2020 23:31:25 +0800

ffc (2019.2.0~git20200106.7c19661-1) experimental; urgency=medium

  * New upstream snapshot (ffcx)
    - drops Depends: python3-dijitso
  * update upstream source repo to https://github.com/FEniCS/ffcx
  * Standards-Version: 4.5.0
  * drop debian patch ufc-include-path.patch. A python2 version is no
    longer provided so no need to provide alternative ufc.h.
    Remove existing alternatives links in preinst.

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Jan 2020 03:59:12 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.5),
  python3-setuptools
@@ -38,4 +38,7 @@
  in mathematical notation and the generated code is as efficient as
  hand-optimized code.
  .
- This package installs the library for Python 3.
+ This package installs the legacy FFC library for Python 3.
+ .
+ You may want to consider installing python3-ffcx instead to get the
+ next-generation FFC-X.

## ffc 2019.2.0~git20210115.cb26c91

=== requirements.txt ===
-e git+https://bitbucket.org/fenics-project/fiat.git#egg=fiat
-e git+https://bitbucket.org/fenics-project/dijitso.git#egg=dijitso
-e git+https://bitbucket.org/fenics-project/ufl.git#egg=ufl

=== debian/changelog ===
ffc (2019.2.0~git20210115.cb26c91-2) unstable; urgency=medium

  * drop the upper versioned dependency on python3-ufl.
    The ufl horse has bolted. Pray for our souls.

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Jul 2021 15:11:36 +0200

ffc (2019.2.0~git20210115.cb26c91-1) unstable; urgency=medium

  * New upstream snapshot.
    - applies debian patch fix_pytest6_fixtures.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Jan 2021 16:05:47 +0100

ffc (2019.2.0~git20200123.6b621eb-4) unstable; urgency=medium

  * Standards-Version: 4.5.1
  * debian patch fix_pytest6_fixtures.patch fixes the fixture
    signature for pytest6 (arguments must now be provided by keyname)
    Closes: #979288.
  * remove deprecated lintian overrides

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Jan 2021 13:01:32 +1100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-python,
  python3-all (>= 3.5),
  python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/ffc.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/ffc
@@ -17,7 +17,7 @@
 Architecture: all
 Depends:
  python3-fiat (>= ${fenics:Upstream-Version}), python3-fiat (<< ${fenics:Next-Upstream-Version}),
- python3-ufl (>= ${fenics:Upstream-Version}), python3-ufl (<< ${fenics:Next-Upstream-Version}),
+ python3-ufl (>= ${fenics:Upstream-Version}),
  python3-dijitso (>= ${fenics:Upstream-Version}), python3-dijitso (<< ${fenics:Next-Upstream-Version}),
  python3-numpy,
  ${python3:Depends},

=== debian/tests/control ===
Tests: test-ffc
Depends: python3-ffc,
	 python3-pytest,
	 python3-pip,
	 python3-pybind11,
	 python3-dev,
	 cmake,
	 libboost-math-dev,
	 @builddeps@
Restrictions: allow-stderr

## ffc 2019.2.0~git20210714.a20cbe7

=== debian/changelog ===
ffc (2019.2.0~git20210714.a20cbe7-3) unstable; urgency=medium

  * debian patch ufl_2023_no_WARNING.patch manages ufl.log.WARNING,
    which was removed in ufl 2023.1.0. Treat as ERROR instead (which
    should be more constructive than treating as INFO).
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jan 2023 14:10:17 +0100

ffc (2019.2.0~git20210714.a20cbe7-2) unstable; urgency=medium

  * debian patch ufl_cellname2facetname.patch provides
    cellname2facetname, removed from ufl 2022.1.0 in PR#77.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 May 2022 23:37:10 +0200

ffc (2019.2.0~git20210714.a20cbe7-1) unstable; urgency=medium

  * New upstream snapshot.
  * remove files from debian/copyright which are no longer present
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 Apr 2022 17:17:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-python,
  python3-all (>= 3.5),
  python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/ffc.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/ffc

## ffc 2019.2.0~legacy20230509.35df986

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FEniCSFormCompilerFFC.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FEniCSFormCompilerFFC.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/sphinx/requirements.txt ===
-e git+https://bitbucket.org/fenics-project/dijitso.git#egg=dijitso
-e git+https://bitbucket.org/fenics-project/fiat.git#egg=fiat
-e git+https://bitbucket.org/fenics-project/ufl.git#egg=ufl
sphinx==1.7.0

=== test/uflacs/crosslanguage/Makefile ===

#
# Build C++ tests generated by python tests, configured to get access
# to gtest and ufc.
#

# These are the commands we assume
CXX?=c++
RM?=rm

# Local filenames
TESTBINARY=run_gtest
TESTSRCDIR=generated
TESTSUPPORTDIR=cppsupport
TESTMAINSRC=${TESTSRCDIR}/main.cpp

# Configure ufc
UFC_INCLUDE_DIR?=../../../ffc/backends/ufc
UFCINCDIR=-I${UFC_INCLUDE_DIR}

# Configure gtest
GTEST_DIR?=../../../libs/gtest-1.7.0
GTESTINCDIR=-I${GTEST_DIR}/include
GTESTLIBS=-L${GTEST_DIR}/lib -lgtest -lpthread

# Flags set for easy debugging
CXXFLAGS?=-g -O0 -std=c++11 -Wall

.PHONY: clean

.SECONDARY:

default: ${TESTBINARY}

run: ${TESTBINARY}
	./${TESTBINARY}

# Also depends on ${TESTSRCDIR}/*.h but this rule seems to be
# sufficient because the test binary is touched every time the python
# tests run
${TESTBINARY}: ${TESTMAINSRC} ${TESTSUPPORTDIR}/*.h
	${CXX} ${CXXFLAGS} -o ${TESTBINARY} \
		${TESTMAINSRC} -I${TESTSRCDIR} -I${TESTSUPPORTDIR} \
		${UFCINCDIR} ${GTESTINCDIR} ${GTESTLIBS}

clean:
	${RM} -f `find -name \*.pyc`
	${RM} -f `find -name \*.py~`
	${RM} -rf ${TESTSRCDIR}
	${RM} -rf __pycache__
	${RM} -f *.log
	${RM} -f ${TESTBINARY}

=== debian/changelog ===
ffc (2019.2.0~legacy20230509.35df986-5) unstable; urgency=medium

  * debian patch cmake4.patch bumps vendored gtest to cmake minimum
    version 3.10 to enable tests with cmake 4. Declare minimum version
    before project. Closes: #1116508.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Sep 2025 19:04:36 +0200

ffc (2019.2.0~legacy20230509.35df986-4) unstable; urgency=medium

  * Add numpy_product.patch to replace every occurence of numpy.product with
    numpy.prod. The former numpy.product has been deprecated in numpy 2.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 28 Jan 2025 09:11:42 +0000

ffc (2019.2.0~legacy20230509.35df986-3) unstable; urgency=medium

  * Drop every occurence of pkg_resources. pkg_resources was used to determine
    the version of this package: add pkg-resources-to-importlib.patch that
    replaces pkg_resources with importlib.metadata.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 13 Oct 2024 15:23:54 +0000

ffc (2019.2.0~legacy20230509.35df986-2) unstable; urgency=medium

  * Add Francesco Ballarin to uploaders
  * Standards-Version: 4.7.0 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Add cflags_soabi_in_jit_signature.patch:
    - make sure to include CFLAGS and SOABI from sysconfig.get_config_var in
      signature used by ffc jit
    - inspired by https://github.com/FEniCS/ffcx/pull/527/files
  * Run autopkgtest against all available python versions

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 30 Jun 2024 16:44:40 +0000

ffc (2019.2.0~legacy20230509.35df986-1) unstable; urgency=medium

  * snapshot of upstream ufl_legacy branch
    - applies ufl_legacy renaming patches
    - applies debian patches pybind11_API_module.patch and
      ufl_cellname2facetname.patch

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Jun 2023 14:07:30 +0200

ffc (2019.2.0~git20210714.a20cbe7-4) experimental; urgency=medium

  * ufl 2023.1 has diverged and no longer supports old dolfin.
    Replace ffc with Depends: python3-ufl-legacy (i.e. ufl 2022.2)
  * drop debian patch ufl_2023_no_WARNING.patch and replace with
    rename_ufl_legacy.patch and test_ufl_legacy.patch
  * debian patch metadata_ufl_legacy.patch sets python dependency as
    fenics-ufl-legacy not fenics-ufl
    - Build-Depends: python3-ufl-legacy, python3-dijitso, python3-fiat

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Apr 2023 17:49:54 +0200

=== debian/control ===
Source: ffc
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>,
           Drew Parsons <dparsons@debian.org>,
           Francesco Ballarin <francesco.ballarin@unicatt.it>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-dijitso,
               python3-fiat,
               python3-ufl-legacy
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/fenics/ffc
Vcs-Git: https://salsa.debian.org/science-team/fenics/ffc.git
Homepage: https://fenicsproject.org
Rules-Requires-Root: no

Package: python3-ffc
Architecture: all
Depends: python3-dijitso (>= ${fenics:Upstream-Version}),
         python3-dijitso (<< ${fenics:Next-Upstream-Version}),
         python3-fiat (>= ${fenics:Upstream-Version}),
         python3-fiat (<< ${fenics:Next-Upstream-Version}),
         python3-ufl-legacy (>= ${fenics:Upstream-Version}),
         python3-numpy,
         ${python3:Depends},
         ${misc:Depends}
Description: compiler for finite element variational forms (Python 3)
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and
 efficient evaluation of general multilinear forms (variational
 formulations) for FEniCS. FFC functions as the form evaluation
 system for DOLFIN but can also be used to compile forms for other
 systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C
 or C++) for the evaluation of a multilinear form given in
 mathematical notation. This new approach to form evaluation makes it
 possible to combine generality with efficiency; the form can be given
 in mathematical notation and the generated code is as efficient as
 hand-optimized code.
 .
 This package installs the legacy FFC library for Python 3.
 .
 You may want to consider installing python3-ffcx instead to get the
 next-generation FFC-X.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_compress:
 	dh_compress -X.py -X.ufl
@@ -47,5 +47,3 @@
 	dh_gencontrol -- -Vfenics:Upstream-Version=$(FENICS_VERSION) -Vfenics:Next-Upstream-Version=$(FENICS_NEXT_VERSION)~
 
 .PHONY: get-orig-source
-get-orig-source:
-	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)
